TIMESTAMP = "20250122-1000"
BUILD_PRETTY_DATE = "Wed Jan 22 10:00:00 AM EST 2025"
BRANCH = "master"
RELEASE_VER = "4.35"
STREAM = "4.35.0"
STREAMMajor = "4"
STREAMMinor = "35"
STREAMService = "0"
GIT_ROOT = "git@github.com:"
AGG_REPO = "eclipse-platform/eclipse.platform.releng.aggregator.git"
AGG_DIR = "gitCache/eclipse.platform.releng.aggregator"
DROP_DIR = "siteDir/eclipse/downloads/drops4"
UPDATES_DIR = "siteDir/eclipse/updates"
EQUINOX_DROP_DIR = "siteDir/equinox/drops"
TMP_DIR = "tmp"
DOWNLOAD_HOST = "download.eclipse.org"
BUILD_TO_COMPARE_SITE = "ftp.osuosl.org/pub/eclipse/eclipse/updates"
LOCAL_REPO = "localMavenRepo"
BASEBUILDER_TAG = "4.34"
API_PREV_REF_LABEL = "4.34"
PREVIOUS_RELEASE_VER = "4.34"
PREVIOUS_RELEASE_REPO_ID = "4.34"
BASEBUILD_ID = "R-4.34-202411201800"
PREVIOUS_RELEASE_ID = "R-4.34-202411201800"
BUILDTOOLS_REPO = "https://download.eclipse.org/eclipse/updates/buildtools/"
WEBTOOLS_REPO = "https://download.eclipse.org/webtools/downloads/drops/R3.36.0/R-3.36.0-20241110095156/repositoryunittests/"
BASEBUILDER_DIR = "tmp/org.eclipse.releng.basebuilder"
ECLIPSE_RUN_REPO = "https://download.eclipse.org/eclipse/updates/4.35-I-builds/"
JAVA_DOC_TOOL = "-Declipse.javadoc=/opt/tools/java/openjdk/jdk-17/latest/bin/javadoc"
BUILD_ENV_FILE = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.35/cje-production/buildproperties.shsource"
BUILD_ENV_FILE_PHP = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.35/cje-production/buildproperties.php"
BUILD_ENV_FILE_PROP = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.35/cje-production/buildproperties.properties"
BUILD_TYPE = "Y"
BUILD_TYPE_NAME = "Beta Java 24"
PATCH_OR_BRANCH_LABEL = "java24"
BUILD_ID = "Y20250122-1000"
BUILD_DIR_SEG = "Y20250122-1000"
EQ_BUILD_DIR_SEG = "Y20250122-1000"
ECLIPSE_BUILDER_DIR = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.35/cje-production/gitCache/eclipse.platform.releng.aggregator/eclipse.platform.releng.tychoeclipsebuilder"
PLATFORM_PRODUCTS_DIR = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.35/cje-production/gitCache/eclipse.platform.releng.aggregator/eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/target/products"
PLATFORM_REPO_DIR = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.35/cje-production/gitCache/eclipse.platform.releng.aggregator/eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/target/repository"
PLATFORM_TARGET_DIR = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.35/cje-production/gitCache/eclipse.platform.releng.aggregator/eclipse.platform.releng.tychoeclipsebuilder/eclipse.platform.repository/target"
TEST_CONFIGURATIONS_EXPECTED = "ep435Y-unit-linux-x86_64-java21_linux.gtk.x86_64_21,ep435Y-unit-linux-x86_64-java24_linux.gtk.x86_64_24,ep435Y-unit-macosx-aarch64-java21_macosx.cocoa.aarch64_21,ep435Y-unit-macosx-x86_64-java21_macosx.cocoa.x86_64_21"
LAUNCHER_JAR = "/home/jenkins/agent/workspace/YPBuilds/Y-build-4.35/cje-production/tmp/org.eclipse.releng.basebuilder/plugins/org.eclipse.equinox.launcher_1.6.900.v20240613-2009.jar"
COMPARATOR_ERRORS = true
COMPARATOR_ERRORS_SUBJECT = "- Comparator Errors Found"
